org.jgroups.protocols.pbcast

## Class NakAckHeader

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.protocols.pbcast.NakAckHeader

- All Implemented Interfaces:
    Streamable

      public class NakAckHeader
      extends Header

  Author:
    Bela Ban

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `MSG`
    `static byte` | `XMIT_REQ`
    `static byte` | `XMIT_RSP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NakAckHeader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NakAckHeader` | `copy()`
    `static NakAckHeader` | `createMessageHeader(long seqno)`
    `static NakAckHeader` | `createXmitRequestHeader(long low, long high, Address orginal_sender)`
    `static NakAckHeader` | `createXmitResponseHeader()`
    `Range` | `getRange()`
    `Address` | `getSender()`
    `long` | `getSeqno()`
    `byte` | `getType()`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `int` | `size()` To be implemented by subclasses.
    `java.lang.String` | `toString()`
    `static java.lang.String` | `type2Str(byte t)`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MSG

          public static final byte MSG

      See Also:
        Constant Field Values

    - #### XMIT_REQ

          public static final byte XMIT_REQ

      See Also:
        Constant Field Values

    - #### XMIT_RSP

          public static final byte XMIT_RSP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NakAckHeader

          public NakAckHeader()

  - ### Method Detail

    - #### createMessageHeader

          public static NakAckHeader createMessageHeader(long seqno)

    - #### createXmitRequestHeader

          public static NakAckHeader createXmitRequestHeader(long low,
                                             long high,
                                             Address orginal_sender)

    - #### createXmitResponseHeader

          public static NakAckHeader createXmitResponseHeader()

    - #### getType

          public byte getType()

    - #### getSeqno

          public long getSeqno()

    - #### getRange

          public Range getRange()

    - #### getSender

          public Address getSender()

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### size

          public int size()

      Description copied from class: `Header`
      To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.
      Specified by:
        `size` in class `Header`

    - #### copy

          public NakAckHeader copy()

    - #### type2Str

          public static java.lang.String type2Str(byte t)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Header`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.